<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:31 CEST 2019 -->
<title>RefinementsPackageImpl</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":9,"i32":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.impl</div>
<h2 title="Class RefinementsPackageImpl" class="title">Class RefinementsPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.impl.RefinementsPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.refinement.model.refinements.RefinementsPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;refinement.model.refinements.<a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></h3>
<code><a href="../../../../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.refinement.model.refinements.RefinementsPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;refinement.model.refinements.<a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></h3>
<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS">COMPOSED_REFINEMENTS</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__DATE">COMPOSED_REFINEMENTS__DATE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__DESCRIPTION">COMPOSED_REFINEMENTS__DESCRIPTION</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS__NAME">COMPOSED_REFINEMENTS__NAME</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS_FEATURE_COUNT">COMPOSED_REFINEMENTS_FEATURE_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#COMPOSED_REFINEMENTS_OPERATION_COUNT">COMPOSED_REFINEMENTS_OPERATION_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#eNAME">eNAME</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT">REFINEMENT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATE__STRING">REFINEMENT___ADD_VALUE_STATE__STRING</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATES__ELIST">REFINEMENT___ADD_VALUE_STATES__ELIST</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DATE">REFINEMENT__DATE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DIFFERENCE">REFINEMENT__DIFFERENCE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__KIND">REFINEMENT__KIND</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__LINKED">REFINEMENT__LINKED</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__REFERENCE">REFINEMENT__REFERENCE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__STATE">REFINEMENT__STATE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE">REFINEMENT__VALUE</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE_STATES">REFINEMENT__VALUE_STATES</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_FEATURE_COUNT">REFINEMENT_FEATURE_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_OPERATION_COUNT">REFINEMENT_OPERATION_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS">REFINEMENTS</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___ADD_REFINEMENT__REFINEMENT">REFINEMENTS___ADD_REFINEMENT__REFINEMENT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REFINEMENT__INT">REFINEMENTS___GET_REFINEMENT__INT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REPLACE_INDEX__ELIST">REFINEMENTS___GET_REPLACE_INDEX__ELIST</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___REMOVE_REFINEMENT__INT">REFINEMENTS___REMOVE_REFINEMENT__INT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SAVE_REFINEMENTS__STRING">REFINEMENTS___SAVE_REFINEMENTS__STRING</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__COMPOSEDREFINEMENTS">REFINEMENTS__COMPOSEDREFINEMENTS</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__ID">REFINEMENTS__ID</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__REFINEMENTS">REFINEMENTS__REFINEMENTS</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_FEATURE_COUNT">REFINEMENTS_FEATURE_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_OPERATION_COUNT">REFINEMENTS_OPERATION_COUNT</a>, <a href="../../../../refinement/model/refinements/RefinementsPackage.html#STATES">STATES</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements_Date--">getComposedRefinements_Date</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements_Description--">getComposedRefinements_Description</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements_Name--">getComposedRefinements_Name</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements--">getComposedRefinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement__AddValueState__String--">getRefinement__AddValueState__String</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement__AddValueStates__EList--">getRefinement__AddValueStates__EList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement__SetRefinement__String_String_String_String_String--">getRefinement__SetRefinement__String_String_String_String_String</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Date--">getRefinement_Date</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Difference--">getRefinement_Difference</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Kind--">getRefinement_Kind</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Linked--">getRefinement_Linked</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Reference--">getRefinement_Reference</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_State--">getRefinement_State</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_Value--">getRefinement_Value</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement_ValueStates--">getRefinement_ValueStates</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement--">getRefinement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__AddRefinement__Refinement--">getRefinements__AddRefinement__Refinement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__FindRefinementsByReference__String--">getRefinements__FindRefinementsByReference__String</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__GetRefinement__int--">getRefinements__GetRefinement__int</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__GetReplaceIndex__EList--">getRefinements__GetReplaceIndex__EList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__IndexOfRefinement__Refinement--">getRefinements__IndexOfRefinement__Refinement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__RemoveRefinement__int--">getRefinements__RemoveRefinement__int</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__SaveRefinements__String--">getRefinements__SaveRefinements__String</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements__SetRefinement__int_Refinement--">getRefinements__SetRefinement__int_Refinement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements_Composedrefinements--">getRefinements_Composedrefinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements_Id--">getRefinements_Id</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements_Refinements--">getRefinements_Refinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements--">getRefinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements">RefinementsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinementsFactory--">getRefinementsFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getStates--">getStates</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../refinement/model/refinements/RefinementsPackage.html#eINSTANCE"><code>RefinementsPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/RefinementsPackage.html#eNS_URI"><code>RefinementsPackage.eNS_URI</code></a>, 
<a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRefinement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--">getRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Refinement</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Reference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Reference</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Reference()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Reference--">getRefinement_Reference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Reference</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getReference--"><code>Refinement.getReference()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Difference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Difference</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Difference()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Difference--">getRefinement_Difference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Difference</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getDifference--"><code>Refinement.getDifference()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Value--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Value</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Value()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Value--">getRefinement_Value</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Value</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getValue--"><code>Refinement.getValue()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Kind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Kind</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Kind()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Kind--">getRefinement_Kind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getKind--"><code>Refinement.getKind()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_ValueStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_ValueStates</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_ValueStates()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_ValueStates--">getRefinement_ValueStates</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Value States</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getValueStates--"><code>Refinement.getValueStates()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Date--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Date</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_Date()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Date--">getRefinement_Date</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Date</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getDate--"><code>Refinement.getDate()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_Linked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_Linked</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRefinement_Linked()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_Linked--">getRefinement_Linked</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Linked</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getLinked--"><code>Refinement.getLinked()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement_State--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement_State</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinement_State()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement_State--">getRefinement_State</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>State</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#getState--"><code>Refinement.getState()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement--"><code>RefinementsPackage.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__SetRefinement__String_String_String_String_String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__SetRefinement__String_String_String_String_String</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__SetRefinement__String_String_String_String_String()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__SetRefinement__String_String_String_String_String--">getRefinement__SetRefinement__String_String_String_String_String</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Set Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#setRefinement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-"><code>Refinement.setRefinement(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__AddValueState__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__AddValueState__String</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__AddValueState__String()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__AddValueState__String--">getRefinement__AddValueState__String</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Value State</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#addValueState-java.lang.String-"><code>Refinement.addValueState(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinement__AddValueStates__EList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement__AddValueStates__EList</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinement__AddValueStates__EList()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinement__AddValueStates__EList--">getRefinement__AddValueStates__EList</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Value States</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html#addValueStates-org.eclipse.emf.common.util.EList-"><code>Refinement.addValueStates(org.eclipse.emf.common.util.EList)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRefinements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--">getRefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Id</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRefinements_Id()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Id--">getRefinements_Id</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Id</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getId--"><code>Refinements.getId()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>RefinementsPackage.getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Refinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Refinements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRefinements_Refinements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Refinements--">getRefinements_Refinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getRefinements--"><code>Refinements.getRefinements()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>RefinementsPackage.getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements_Composedrefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements_Composedrefinements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRefinements_Composedrefinements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Composedrefinements--">getRefinements_Composedrefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Composedrefinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getComposedrefinements--"><code>Refinements.getComposedrefinements()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>RefinementsPackage.getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__AddRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__AddRefinement__Refinement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__AddRefinement__Refinement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__AddRefinement__Refinement--">getRefinements__AddRefinement__Refinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Add Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code>Refinements.addRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__SaveRefinements__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__SaveRefinements__String</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__SaveRefinements__String()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__SaveRefinements__String--">getRefinements__SaveRefinements__String</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Save Refinements</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code>Refinements.saveRefinements(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__IndexOfRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__IndexOfRefinement__Refinement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__IndexOfRefinement__Refinement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__IndexOfRefinement__Refinement--">getRefinements__IndexOfRefinement__Refinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Index Of Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code>Refinements.indexOfRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__GetRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__GetRefinement__int</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__GetRefinement__int()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__GetRefinement__int--">getRefinements__GetRefinement__int</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Get Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code>Refinements.getRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__SetRefinement__int_Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__SetRefinement__int_Refinement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__SetRefinement__int_Refinement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__SetRefinement__int_Refinement--">getRefinements__SetRefinement__int_Refinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Set Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code>Refinements.setRefinement(int, refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__FindRefinementsByReference__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__FindRefinementsByReference__String</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__FindRefinementsByReference__String()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__FindRefinementsByReference__String--">getRefinements__FindRefinementsByReference__String</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Find Refinements By Reference</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code>Refinements.findRefinementsByReference(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__RemoveRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__RemoveRefinement__int</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__RemoveRefinement__int()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__RemoveRefinement__int--">getRefinements__RemoveRefinement__int</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Remove Refinement</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code>Refinements.removeRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements__GetReplaceIndex__EList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements__GetReplaceIndex__EList</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EOperation&nbsp;getRefinements__GetReplaceIndex__EList()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements__GetReplaceIndex__EList--">getRefinements__GetReplaceIndex__EList</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the '<em>Get Replace Index</em>' operation.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code>Refinements.getReplaceIndex(org.eclipse.emf.common.util.EList)</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getComposedRefinements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--">getComposedRefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Composed Refinements</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Name--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Name</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Name()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Name--">getComposedRefinements_Name</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/ComposedRefinements.html#getName--"><code>ComposedRefinements.getName()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>RefinementsPackage.getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Description--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Description</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Description()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Description--">getComposedRefinements_Description</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Description</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/ComposedRefinements.html#getDescription--"><code>ComposedRefinements.getDescription()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>RefinementsPackage.getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedRefinements_Date--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedRefinements_Date</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getComposedRefinements_Date()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements_Date--">getComposedRefinements_Date</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Date</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/ComposedRefinements.html#getDate--"><code>ComposedRefinements.getDate()</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getComposedRefinements--"><code>RefinementsPackage.getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStates</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EEnum&nbsp;getStates()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getStates--">getStates</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>States</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinementsFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinementsFactory</h4>
<pre>public&nbsp;<a href="../../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements">RefinementsFactory</a>&nbsp;getRefinementsFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinementsFactory--">getRefinementsFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
